- author: []
  check: []
  component: []
  contact: []
  description: "This part of the testsuite uses project requre. It stores\ncommunication
    with nitrate server to local `test_data`\ndirectory where tests are defined.\n\nRegeneration\n\nIf
    you want to regenerate some file for test, just remove\nexisting response file
    and run it on your machine with your\ncredentials::\n    \n    rm -rf requre/test_data/*\n
    \   cd requre/nitrate\n    pip3 install requre\n    pytest -v\n\nRemove sensitive
    data\n\nIf there are any sensitive data you can use the requre-patch\ntool from
    requre project to remove timestamps, sensitive urls,\ntokens or passwords. The
    syntax is as follows::\n\n    key_identifiers:key_in_response:python_type:replaced_value\n\nExample::\n\n
    \   requre-patch purge --replaces :milestone_url:str:SomeText \\\n        tests/integration/test_data/test_nitrate/*\n\nDebugging\n\nTo
    see if there is no network communication, just use e.g. the\n`unshare` command::\n\n
    \   cd tests/integration\n    sudo unshare -n sudo -u `whoami` pytest -v test_nitrate.py\n"
  discover-phase: default-0
  duration: 5m
  enabled: true
  environment:
    REQURE_MODE: read
  framework: shell
  id: null
  link:
  - relates: https://github.com/packit/requre
  manual: false
  name: /requre/polarion
  order: 50
  path: /default-0/tests/requre/polarion
  recommend: []
  require:
  - tmt-all
  - python3-pytest
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-polarionasukooty/plans/remote/polarion/discover/default-0/tests/requre/main.fmf
  - /var/ARTIFACTS/work-polarionasukooty/plans/remote/polarion/discover/default-0/tests/requre/polarion/main.fmf
  summary: Integration tests with requre support for polarion
  tag:
  - integration
  - polarion
  test: 'tar xJf test_data/export/binary_data.tar.xz -C test_data/export/

    python3 -m pytest -vvv -ra --showlocals export.py

    '
  tier: null
  tty: false
  where: []
